%global goipath github.com/ovh/go-ovh
%global commit  ba5adb4cf0148a3dbdbd30586f075266256a77b1
%gometa

%ifnarch s390x
# https://github.com/ovh/go-ovh/issues/45
%bcond_without tests
%endif

Name:           %{goname}
Version:        0
Release:        0.2%{?dist}
Summary:        Simple Go wrapper for the OVH API
License:        BSD
URL:            %{gourl}
Source0:        %{gosource}
BuildRequires:  golang(gopkg.in/ini.v1)


%description
%{summary}.


%package devel
Summary:        %{summary}
BuildArch:      noarch


%description devel
%{summary}.

This package contains the source code needed for building packages that import
the %{goipath} Go namespace.


%prep
%forgeautosetup


%install
%goinstall


%if %{with tests}
%check
%gochecks
%endif


%files devel -f devel.file-list
%license LICENSE
%doc README.md


%changelog
* Fri Dec 07 2018 Carl George <carl@george.computer> - 0-0.2.20181203gitba5adb4
- Skip tests on s390x

* Mon Dec 03 2018 Carl George <carl@george.computer> - 0-0.1.20181203gitba5adb4
- Initial package
